Bug 1425492 - Chargeback for Container Images - Default Container Image Rate is editable
Summary: Chargeback for Container Images - Default Container Image Rate is editable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.2
Assignee: Ari Zellner
QA Contact: Gilad Shefer
URL:
Whiteboard: container
Depends On: 1410012
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-21 14:58 UTC by Satoe Imaishi
Modified: 2017-05-08 10:34 UTC (History)
8 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1410012
Environment:
Last Closed: 2017-04-12 14:38:40 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Default rate for Container images is still editable (81.94 KB, image/png)
2017-03-26 07:22 UTC, Einat Pacifici
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-13 15:31:09 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/0ac985ba5e7e8c935c90f9a4fa3546387074b63f

commit 0ac985ba5e7e8c935c90f9a4fa3546387074b63f
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Feb 21 10:15:13 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Mar 13 11:29:30 2017 -0400

    Merge pull request #269 from zeari/chargeback_disable_edit_name
    
    Dont allow to edit the name of Default rate for container images
    (cherry picked from commit 5eb279685d2127ff43d4fe5b694da5669c7e73f6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1425492

 app/controllers/chargeback_controller.rb | 3 +++
 1 file changed, 3 insertions(+)

Comment 3 Einat Pacifici 2017-03-26 07:22:38 UTC
Created attachment 1266497 [details]
Default rate for Container images is still editable

Assigning back to Dev. Default rate for Container images is still editable
Screenshot attached.

Comment 4 Einat Pacifici 2017-03-26 07:23:14 UTC
Assiging back to Dev. Default rate for Container images is still editable. See attached screenshot.

Comment 5 Mooli Tayer 2017-03-26 11:28:16 UTC
Einat please see this comment from ari[1] 

It seems from your attachment[2] that the description field isn't editable. Can you check if this really causes the report to fail?


[1] https://bugzilla.redhat.com/show_bug.cgi?id=1410012#c10
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1425492#c3

Comment 6 Einat Pacifici 2017-03-26 12:02:37 UTC
Ari, 

the UI behaviour for the "default rate" is different to the behaviour for the "default container image rate" 
In the default rate, the dropdown "Edit" button is not available to the user. 
In the default container image rate, the dropdown "Edit" is available, the user is able to edit the name of the rate, but, when pressing the "Add" button, the user is presented with an error: 
"Can not change description of 'Default Container Image Rate'"

Obviously this is very confusing to the user. 
So, indeed, the report will not be generated, but,the UI-UX is inconsistent. 
I am returning this BZ back to dev, to resolve the issue and disable the "edit" option for this rate, as is the behaviour of the "default" rate.

Comment 7 Barak 2017-03-30 11:55:19 UTC
Here is the status:

- From functionality point of view this is fully functional as defined by PMs:
  * "Default Container Image Rate" - is editabe (only rates not the name or description)
  * "Default Container Image Rate" - can not be deleted through the UI

The above is exactly the functionality defined by PM for this rate.
If one can not add/edit the amounts in this rate, there will be no default rates for containers. 


- This bug was reopened due to a UI inconsistent behaviour:
  * the fact the one can edit a default rate (the other default rate can not be edited)
  * when editing the "Default Container Image Rate" you can not edit the description (as the charge back engine looks for this defaule rate by name)


So Moving this bug to ON_QA and please verify the above functionality.

Please open a different bu on the UI inconsistencies.

Comment 8 Einat Pacifici 2017-04-02 10:18:58 UTC
Verified.

Comment 10 errata-xmlrpc 2017-04-12 14:38:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.